/// <reference types="next" />
/// <reference types="next/types/global" />

declare module "*.event.mdx" {
  import { ComponentType } from "react";

  interface EventMetadata {
    name: string;
    short: string;
    date: Date;
    online: boolean;
    location: string;
    poster?: string;
    registerLink?: string;
  }

  const ReactComponent: ComponentType;

  export const metadata: EventMetadata;
  export default ReactComponent;
}

declare module "*.news.mdx" {
  import { ComponentType } from "react";

  interface NewsMetadata {
    author: string;
    date: Date;
  }

  const ReactComponent: ComponentType;

  export const metadata: NewsMetadata;
  export default ReactComponent;
}

declare module "*.team-member.mdx" {
  import { ComponentType } from "react";

  interface TeamMemberMetadata {
    name: string;
    role: string;
    image?: string;
  }

  const ReactComponent: ComponentType;

  export const metadata: TeamMemberMetadata;
  export default ReactComponent;
}

declare module "*.organized-content.mdx" {
  import { ComponentType } from "react";

  interface OrganizedContentMetadata {
    title: string;
    id: string;
  }

  const ReactComponent: ComponentType;

  export const metadata: OrganizedContentMetadata;
  export default ReactComponent;
}
